//------------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
#define  _XTAL_FREQ  4000000
//------------------------------------------------------------------------------
#include "assets/config/config.h"
#include "assets/74HC595/74HC595.h"
#include "assets/ADC/ADC.h"   
#include "assets/outputLevel/outputLevel.h"
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
  ShiftReg_init();
  ADC_init();
  
  while(1)
  {
    float level = getValue(ADC_read(0));
    ShiftReg( outputLevel(level) );
  }
  
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------